Packages - Packaging Request #3357

[i2pd-openrc] Add to repository
2022-10-02 08:19 AM - anonymous

Status: fixed % Done: 0%
Priority: bug

Assignee: bill-auger

Category:

Description

We take package "i2pd" directly from Archlinux, and which contains only SystemD init script. | suggest adding OpenRC script as a
separate package.

Script: https://github.com/Purplel2P/i2pd/blob/openssl/contrib/openrc/i2pd.openrc

| think that script needs to be changed, added parameter of start as user:group "i2pd:i2pd". Because it is useful for those who have
iptables rules.

History

#1 - 2022-10-04 03:30 PM - bill-auger
- Assignee set to bill-auger

- Status changed from open to in progress

that init script from the upstream does not work on parabola

$ sudo rc-service i2pd start
* Caching service dependencies ...
Service "12pd' needs non existent service ‘mountall’
[ ok ]
* ERROR: i2pd needs service(s) mountall

the one from artix does though - there is a new 'i2pd-openrc' package in nonsystemd now
the artix init script is very basic though - the upstream init script is more elaborate - it maybe does more something - i did not inspect it

#2 - 2022-10-04 03:33 PM - bill-auger

- Status changed from in progress to fixed

Files

i2pd.openrc 900 Bytes 2022-10-02 anonymous
